
--[[ EN ]]

-- To create a new module, change every occurence of 'Template' to your module's
-- name (each line is marked '!!!') and replace the mediadata with your own.
--
-- Make sure to keep the moduleid short since it is part of every quote's id
-- and gets postet to the chat channel every time you play a quote.
--
-- The moduleid may be different from the module name used in function names etc.

--[[  DE ]]

-- Um ein neues Modul zu erzeugen, ersetze jedes 'Template' im Code durch den
-- neuen Namen (alle betroffenen Zeilen sind mit '!!!' markiert) und trage unter
-- mediadata die neuen Daten ein.
--
-- Bitte halte die moduleid kurz, da sie Teil der ID jedes Zitats ist und diese
-- bei jedem Abspielen in den Chat-Channel gepostet wird.
--
-- Die moduleid darf sich von dem im Code benutzten Modul-Namen unterscheiden.


local moduleName = "QuoteMediaTemplate";                                        -- !!!
local moduleid = "tpl";  -- keep this short
local moduleData = nil;
local frame = CreateFrame("Frame", "QuoteMediaTemplateFakeFrame");              -- !!!

function QuoteMediaTemplate_OnEvent(this, event, arg1, arg2, arg3, arg4, ...) 	-- !!!
  if ((event == "ADDON_LOADED") and (arg1 == moduleName)) then
    if (IsAddOnLoaded("WoWQuote2") or IsAddOnLoaded("KQuote")) then
      QuoteMediaTemplate_Init();                                                -- !!!
      if (IsAddOnLoaded("WoWQuote2")) then
        WQ2_InitModule(moduleData);
      end
      if (IsAddOnLoaded("KQuote")) then
        KQ_InitModule(moduleData);
      end
    else
      DEFAULT_CHAT_FRAME:AddMessage(moduleName..": Please install KQuote or WoWQuote2!",1.0,0.0,0.0);
    end
    frame:UnregisterEvent("ADDON_LOADED");
  end
end

frame:SetScript("OnEvent", QuoteMediaTemplate_OnEvent);                         -- !!!
frame:RegisterEvent("ADDON_LOADED");

function QuoteMediaTemplate_Init()                                              -- !!!
DEFAULT_CHAT_FRAME:AddMessage(moduleName.." loaded.");
  moduleData = {
               name = "Template",                                               -- !!!
               moduleid = moduleid,
               mediapath = "Interface\\AddOns\\"..moduleName.."\\media\\",
               mediadata = nil,
               --[[ tags = {
                           ["tagid1"] = "Description1",
                           ["tagid2"] = "Description2",
                           }              -- add your own tags here, if any --]]
               }

  moduleData.mediadata =
{
-- replace this list of data with your own
{
    -- for modules other than the Default module, prepend the id index number
    -- with the module's id;
    -- 		i.e.   id = "mine:001"

    -- bei anderen als dem Template-Module, muß dem ID-Index die moduleid
    -- vorangestellt werden;
    -- 		z.B.   id = "mine:001"

    id = "tpl:01",
    file = "firstfile.mp3",
    len = 3,											-- length in seconds
    msg = "Chat message for first file",
},
{
    id = "tpl:02",
    file = "secondfile.mp3",
    len = 4,
    msg = "Chat message for second file",
    tag = {"pvp","negative"},
},
-- end of media data
};
end
